Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Incremental Authorizations


Incremental authorizations are merchant-initiated transactions with no cardholder present at the time of the transaction. They allow you to append an original pre-authorization to add products and services.

The incremental authorization has these limitations:

  • Original transaction must be a pre-authorization.
  • Must be in the same currency as the original pre-authorization.
  • Maximum of 100 incremental authorizations per transaction, in addition to the initial authorization.
  • After you send the final authorization, you cannot send an incremental authorization.
  • Interchange optimization is not supported.
  • Split shipments are not supported.

Supported Processors

Supported Card Types

  • American Express
  • Discover
  • Mastercard
  • Visa

Endpoints

PATCH /pts/v2/payments/{id}

PATCH /pts/v2/payments/{id}

PATCH /pts/v2/payments/{id}

The {id} is the transaction ID returned in the original authorization response.

Example

{  "clientReferenceInformation": {    "code": "33557799"  },  "orderInformation": {    "amountDetails": {      "additionalAmount": "10.00",      "currency": "CNY"    }  }}
{  "_links": {    "authReversal": {      "method": "POST",      "href": "/pts/v2/payments/6479624584536070903093/reversals"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/6479624584536070903093"    },    "capture": {      "method": "POST",      "href": "/pts/v2/payments/6479624584536070903093/captures"    }  },  "clientReferenceInformation": {    "code": "33557799"  },  "id": "6479624584536070903093",  "orderInformation": {    "amountDetails": {      "totalAmount": "20.00",      "authorizedAmount": "10.00",      "currency": "CNY"    }  },  "processorInformation": {    "approvalCode": "005290",    "responseCode": "00"  },  "reconciliationId": "610005247521",  "status": "AUTHORIZED"}

Required Fields

These fields are required when creating an incremental authorization request.

Default Required Fields

FieldDescription
clientReferenceInformation.codeorder reference or tracking number. Provide a unique value for each transaction so that you can perform meaningful searches for the transaction.
orderInformation.amountDetails.additionalAmount—
orderInformation.amountDetails.currency—

Country-Specific Required Field

FieldDescription
merchantInformation.transactionLocalDateTimerequired in Argentina when the time zone is not included in your account. Otherwise, this field is optional.

Optional Field

Optional Field
FieldDescription
clientReferenceInformation.transactionId—

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.